Bug 12901 - BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT
Summary: BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 12561
  Show dependency treegraph
 
Reported: 2014-09-10 13:37 UTC by Tomás Cohen Arazi
Modified: 2015-06-04 23:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12901: BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.32 KB, patch)
2014-09-15 13:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12901: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (3.72 KB, patch)
2014-09-15 13:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 12901: BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.42 KB, patch)
2014-10-09 19:43 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 12901: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (3.82 KB, patch)
2014-10-09 19:43 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 12901: (QA followup) correct copy and paste error (6.83 KB, patch)
2014-10-28 21:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 12901: BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT (7.49 KB, patch)
2014-10-28 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12901: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT (3.89 KB, patch)
2014-10-28 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 12901: (QA followup) correct copy and paste error (6.94 KB, patch)
2014-10-28 22:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2014-09-10 13:37:24 UTC

    
Comment 1 Tomás Cohen Arazi 2014-09-15 13:47:24 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-09-15 13:47:28 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2014-10-09 19:42:09 UTC
Test plan:
BEFORE the patch
 * switch to default the xstl results
 * set  BiblioDefaultView to any value
 * check that when you're on a list, you always get the normal view

AFTER the patch
 * set  BiblioDefaultView to any value
 * check that when you're on a list, you you get the defined view

Following this test plan for a UNIMARC database, I confirm it fixes the bug. Cannot say for NORMARC, but the code is similar,
Comment 4 Paul Poulain 2014-10-09 19:43:25 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2014-10-09 19:43:34 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2014-10-26 12:38:51 UTC
I am sorry, but this doesn't work correctly. The links on the OPAC result page are incorrectly build, using the staff syntax:

http://localhost:81/cgi-bin/koha/catalogue/detail.pl?biblionumber=2909
should be:
http://localhost:81/cgi-bin/koha/opac-detail.pl?biblionumber=2568
Comment 7 Tomás Cohen Arazi 2014-10-28 21:11:10 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2014-10-28 22:23:08 UTC
Created attachment 32879 [details] [review]
[PASSED QA] Bug 12901: BiblioDefaultView doesn't do anything with NORMARC or UNIMARC XSLT

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>

http://bugs.koha-community.org/show_bug.cgi?id=9828

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2014-10-28 22:23:22 UTC
Created attachment 32880 [details] [review]
[PASSED QA] Bug 12901: (consistency followup) add buildBiblioDefaultViewURL to MARC21 XSLT

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>

http://bugs.koha-community.org/show_bug.cgi?id=9828

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2014-10-28 22:23:38 UTC
Created attachment 32881 [details] [review]
[PASSED QA] Bug 12901: (QA followup) correct copy and paste error

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Works as described now, no problems found.
Comment 11 Tomás Cohen Arazi 2014-10-30 03:35:18 UTC
Patches pushed to master.